Apache log4cxx Version @version@

Public Member Functions | List of all members
IllegalMonitorStateException Class Reference

`#include <exception.h>`

Inheritance diagram for IllegalMonitorStateException:

## Public Member Functions
| IllegalMonitorStateException (const LogString &msg)
| IllegalMonitorStateException (const IllegalMonitorStateException &msg)
IllegalMonitorStateException & | operator= (const IllegalMonitorStateException &msg)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Constructor & Destructor Documentation

## ◆ IllegalMonitorStateException() [1/2]

IllegalMonitorStateException | ( | const LogString & | msg | ) |

## ◆ IllegalMonitorStateException() [2/2]

IllegalMonitorStateException | ( | const IllegalMonitorStateException & | msg | ) |

## Member Function Documentation

## ◆ operator=()

IllegalMonitorStateException & operator= | ( | const IllegalMonitorStateException & | msg | ) |

The documentation for this class was generated from the following file:

- exception.h